2.5 Patches

This page lists various patches for Xitami 2.5.

64-bit Linux patch

Xitami/2.5 won't build on 64-bit Linux. The build issues an error "Cannot compile: must change definition of 'qbyte'." To fix, edit sfl/prelude.h:99, and sfl/sfl.h:141 to read:

#if (defined (__64BIT__) || defined (__x86_64__))
Add a New Comment

Edit | Tags | Source | Print

Table of Contents

Virtual Hosting (04 May 2009 08:09)

Directory Lists (04 May 2009 07:38)

2.5 Patches (28 Apr 2009 11:45)

Access Logs (18 Feb 2009 13:44)

Feature Requests (18 Feb 2009 13:43)

Security and Access Control (18 Feb 2009 13:43)

Summary of Features (18 Feb 2009 13:42)